import { createUIKitClassname } from '../../utils/createUIKitClassname';
export const stepStateClassnames = {
    active: createUIKitClassname('step_active'),
    completed: createUIKitClassname('step_completed'),
    error: createUIKitClassname('step_error'),
    warning: createUIKitClassname('step_warning'),
    disabled: createUIKitClassname('step_disabled'),
};
export const stepClassnames = {
    root: createUIKitClassname('step'),
    label: createUIKitClassname('step__label'),
    description: createUIKitClassname('step__description'),
    iconContainer: createUIKitClassname('step__icon-container'),
    connector: createUIKitClassname('step__connector'),
    connectorLine: createUIKitClassname('step_connector-line'),
    connectorArrow: createUIKitClassname('step_connector-arrow'),
    alternativeLabel: createUIKitClassname('step_alternative-label'),
    orientationHorizontal: createUIKitClassname('step_orientation-horizontal'),
    orientationVertical: createUIKitClassname('step_orientation-vertical'),
    labelContainer: createUIKitClassname('step__label-container'),
    labelMobile: createUIKitClassname('step__label-mobile'),
    content: createUIKitClassname('step__content'),
    hasDescription: createUIKitClassname('step_has-description'),
    ...stepStateClassnames,
};
